-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


--
-- DB2 UDB UDF(User-Defined Function) Samples for Migration
--
-- 2001/08/28, 08/29
--
-- Name of UDF: GREATEST (P1 Integer, P2 Integer)
--
-- Number of Parameters = 2
--
-- Used UDF: None
--
-- Description: Returns greatest value of list of data.
--
-- Author: TOKUNAGA, Takashi
-- Author: original functions were for VarChar(254) ... converted to work with Integer
--

DROP FUNCTION GREATEST (BigInt, BigInt);

CREATE FUNCTION GREATEST (P1 BigInt, P2 BigInt)
 RETURNS BigInt
 LANGUAGE SQL
 SPECIFIC GREATEST2BigInt
 DETERMINISTIC
 CONTAINS SQL
 NO EXTERNAL ACTION
 RETURN 
CASE
WHEN P1 >= P2 THEN P1
ELSE               P2
END
;
 
commit;

terminate;
