-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table tnui_uql_quicklinks
--
-- All quick links data are kept in this table. Additional fields will be added
-- as needed. Currently only being used by new ui and for for the quick links.
-- active "Y" then the quick links is currently active for the user
-- ===================================================================

drop table tnui_uql_quicklinks;
create table tnui_uql_quicklinks
( 
    uql_company_id                integer,
    uql_user_id                   integer,
    uql_name                      varchar(200),
    uql_value                     varchar(3000),
    uql_active                    char,
    uql_link_order                integer
) 

in users index in indx;


drop synonym uql;
create synonym uql for tnui_uql_quicklinks;



commit;

update command options using c on;

terminate;