-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table torg_iom_item_organization_map
--
-- Creates the mapping between organizations and their associated items.
-- ===================================================================

drop table torg_iom_item_organization_map;
create table torg_iom_item_organization_map
( 
    iom_company_id                integer,
    iom_item_id                   integer,
    iom_catalog_id                integer,
    iom_organization_id           integer,
    iom_organization_tree_id      integer
) 

in users index in indx;


drop synonym iom;
create synonym iom for torg_iom_item_organization_map;

-- ===================================================================
--
-- Table torg_com_category_org_map
--
-- Creates the mapping between organizations and their associated items.
-- ===================================================================

drop table torg_com_category_org_map;
create table torg_com_category_org_map
( 
    com_company_id                integer,
    com_category_id               integer,
    com_category_tree_id          integer,
    com_organization_id           integer,
    com_organization_tree_id      integer
) 

in users index in indx;


drop synonym com;
create synonym com for torg_com_category_org_map;



commit;

update command options using c on;

terminate;