-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table trss_rsa_search_attr_group
--

-- ===================================================================

drop table trss_rsa_search_attr_group;
create table trss_rsa_search_attr_group
( 
    rsa_id                        integer not null,
    rsa_company_id                integer,
    rsa_user_id                   integer,
    rsa_container_id              integer,
    rsa_step_id                   integer,
    rsa_name                      varchar(140),
    constraint rsa_0_pk
        primary key (rsa_id)
) 

in users index in indx;


drop synonym rsa;
create synonym rsa for trss_rsa_search_attr_group;



commit;

update command options using c on;

terminate;