-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table tucp_ucp_usage_detail
--
-- Contains the usage event.
-- ===================================================================

drop table tucp_ucp_usage_detail;
create table tucp_ucp_usage_detail
( 
    ucp_company_id                integer,
    ucp_usage_name                varchar(100),
    ucp_usage_time                timestamp,
    ucp_usage_count               integer
) 

in users index in indx;


drop synonym ucp;
create synonym ucp for tucp_ucp_usage_detail;



commit;

update command options using c on;

terminate;