-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table tusg_usg_usage_event
--
-- Contains the usage event.
-- ===================================================================

drop table tusg_usg_usage_event;
create table tusg_usg_usage_event
( 
    usg_company_id                integer,
    usg_event_name                varchar(100),
    usg_timestamp                 timestamp,
    usg_user_id                   integer,
    usg_description               varchar(2000)
) 

in users index in indx;


drop synonym usg;
create synonym usg for tusg_usg_usage_event;



commit;

update command options using c on;

terminate;