-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table tsynch_dbv_schema
--
-- This table maintains the details of the database schema currently employed on the system.
-- It is an application control table and does not contain any
-- customer specific data,  Therefore it does not have a company_id
-- ===================================================================

drop table tsynch_dbv_schema;
create table tsynch_dbv_schema
( 
    dbv_version                   varchar(20) not null,
    constraint dbv_0_uk
        unique (dbv_version)
) 

in users index in indx;


drop synonym dbv;
create synonym dbv for tsynch_dbv_schema;



commit;

update command options using c on;

terminate;