-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


-- IBM Confidential
-- OCO Source Materials
-- 5724-I68.
-- (C) Copyright IBM Corp. 2000, 2006 - All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure 
-- restricted by GSA ADP Schedule Contract with IBM Corp. 

alter table tctg_cab_category_attributes add column cab_value_string_ignorecase varchar(900);

commit;

drop index ictg_cab_3;
create index ictg_cab_3 on tctg_cab_category_attributes (
        cab_node_id,
        cab_occurrence_id,
        cab_value_string_ignorecase,
        cab_next_version_id,
        cab_version_id,
        cab_cat_tree_id,
        cab_category_id
)   ALLOW REVERSE SCANS;

commit;


UPDATE tctg_cab_category_attributes SET cab_value_string_ignorecase=UPPER(cab_value_string) 
 WHERE cab_value_string is not null 
   AND cab_value_string_ignorecase is null;
   
commit;

