-- {COPYRIGHT-TOP} ------------------------------------------------
-- IBM Confidential
-- OCO Source Materials
-- 5724-V51
--
--  Copyright IBM Corp. 2000, 2008 All Rights Reserved.
--
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- {COPYRIGHT-END} ------------------------------------------------


drop table twfl_wfd_workflow_def_temp;
create table twfl_wfd_workflow_def_temp
(
    wfd_cmp_id                    integer,
    wfd_id                        integer,
    wfd_name                      varchar(200),
    wfd_desc                      varchar(3000),
    wfd_container_type            varchar(200),
    wfd_gui_available             char,
    wfd_object_group_id           integer
)

in users index in indx;


insert into twfl_wfd_workflow_def_temp
	SELECT 
		wfd.wfd_cmp_id,
		wfd.wfd_id,
		wfd.wfd_name,		
		wfd.wfd_desc,
		wfd.wfd_container_type,
		wfd.wfd_gui_available,
		wfd.wfd_object_group_id
	FROM
		twfl_wfd_workflow_def wfd;


drop table twfl_wfd_workflow_def;
create table twfl_wfd_workflow_def
(
    wfd_cmp_id                    integer,
    wfd_id                        integer,
    wfd_name                      varchar(200),
    wfd_desc                      varchar(3000),
    wfd_container_type            varchar(200),
    wfd_gui_available             char,
    wfd_object_group_id           integer
)

in users index in indx;

insert into twfl_wfd_workflow_def
	SELECT 
		twfd.wfd_cmp_id,
		twfd.wfd_id,
		twfd.wfd_name,		
		twfd.wfd_desc,
		twfd.wfd_container_type,
		twfd.wfd_gui_available,
		twfd.wfd_object_group_id
	FROM
		twfl_wfd_workflow_def_temp twfd;


drop synonym wfd;
create synonym wfd for twfl_wfd_workflow_def;

drop index iwfl_wfd_0;
create index iwfl_wfd_0 on twfl_wfd_workflow_def (
        wfd_id,
        wfd_name,
        wfd_cmp_id
)
;
