-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table taud_alo_audit_log
--
-- Contains the Audit Logs for specific events
-- ===================================================================

drop table taud_alo_audit_log;
create table taud_alo_audit_log
( 
    alo_id                        integer,
    alo_company_id                integer,
    alo_event_name                varchar(100),
    alo_timestamp                 timestamp,
    alo_user_id                   integer,
    alo_description               varchar(4000)
) 

in users index in indx;


drop synonym alo;
create synonym alo for taud_alo_audit_log;

drop sequence qaud_alo_id restrict;
create sequence qaud_alo_id start with 1 increment by 200 nocache;



commit;

update command options using c on;

terminate;