-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table tbil_bil_billing_info
--

-- ===================================================================

drop table tbil_bil_billing_info;
create table tbil_bil_billing_info
( 
    bil_cmp_id                    integer,
    bil_usage                     varchar(256),
    bil_rate                      decimal(9,2)
) 

in users index in indx;


drop synonym bil;
create synonym bil for tbil_bil_billing_info;



commit;

update command options using c on;

terminate;