-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table tldr_dat_data_table
--
-- Contains the data generated from iis
-- ===================================================================

drop table tldr_dat_data_table;
create table tldr_dat_data_table
( 
    dat_job_id                    integer,
    dat_record_id                 integer,
    dat_name                      varchar(256),
    dat_value                     varchar(256)
) 

in users index in indx;


drop synonym dat;
create synonym dat for tldr_dat_data_table;

-- ===================================================================
--
-- Table tldr_stt_status_table
--
-- Contains the data generated from iis
-- ===================================================================

drop table tldr_stt_status_table;
create table tldr_stt_status_table
( 
    stt_job_id                    integer,
    stt_record_id                 integer,
    stt_status                    varchar(256),
    stt_timestamp                 timestamp
) 

in users index in indx;


drop synonym stt;
create synonym stt for tldr_stt_status_table;



commit;

update command options using c on;

terminate;