-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

-- ===================================================================
--
-- Table trpt_rpi_report_instance
--
-- Contains the list of reports and their attributes
-- ===================================================================

drop table trpt_rpi_report_instance;
create table trpt_rpi_report_instance
( 
    rpi_company_id                integer,
    rpi_report_instance_id        integer,
    rpi_type                      varchar(80),
    rpi_name                      varchar(80),
    rpi_destination_id            integer,
    rpi_job_id                    integer
) 

in users index in indx;


drop synonym rpi;
create synonym rpi for trpt_rpi_report_instance;

drop sequence qrpt_rpi_report_instance_id restrict;
create sequence qrpt_rpi_report_instance_id start with 1 increment by 200 nocache;



commit;

update command options using c on;

terminate;