-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

drop index isch_scj_0;
create index isch_scj_0 on tsch_scj_job (
        scj_job_id
)   ALLOW REVERSE SCANS;

drop index isch_scj_1;
create index isch_scj_1 on tsch_scj_job (
        scj_user_id,
        scj_company_id
)   ALLOW REVERSE SCANS;

drop index isch_scp_0;
create index isch_scp_0 on tsch_scp_params (
        scp_job_id
)   ALLOW REVERSE SCANS;

drop index isch_ssp_0;
create index isch_ssp_0 on tsch_ssp_schedule_params (
        ssp_schedule_id
)   ALLOW REVERSE SCANS;

drop index isch_sch_0;
create index isch_sch_0 on tsch_sch_schedule (
        sch_job_id
)   ALLOW REVERSE SCANS;

drop index isch_sch_1;
create index isch_sch_1 on tsch_sch_schedule (
        sch_next_running_time,
        sch_enabled
)   ALLOW REVERSE SCANS;

drop index isch_scc_0;
create index isch_scc_0 on tsch_scc_completedschedules (
        scc_schedule_id
)   ALLOW REVERSE SCANS;

drop index isch_scc_1;
create index isch_scc_1 on tsch_scc_completedschedules (
        scc_schedule_index
)   ALLOW REVERSE SCANS;

drop index isch_scc_2;
create index isch_scc_2 on tsch_scc_completedschedules (
        scc_start_time,
        scc_completion_time,
        scc_user_id,
        scc_company_id
)   ALLOW REVERSE SCANS;



commit;

update command options using c on;

terminate;